Summary:		A dbus service/gui for talking to a user's X session
Name:			alert_applet
Version:		0.18
Release:		1mdk
License:		GPL
Group:			Monitoring
URL:			http://peoples.mandrakesoft.com/~sbenedict/alert_applet
Source:			%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:		dbus-devel glib2-devel ImageMagick
Requires:		drakxtools dbus dbus-x11

%description
Alert_applet sits in the systemtray (XFCE, KDE, GNOME), waiting for messages
via dbus.  These messages can be generated by hotplug, or via shell scripts.
Upon receiving a message, the icon changes and the user can acknowledge the
alert or initiate other actions, depending on the nature of the alert.

%prep
%setup -q

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="alert_applet" icon="%{name}.png" needs="x11" title="Alert Applet" longtitle="System Tray Alert Applet" section="System/Monitoring"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/{%_liconsdir,%_iconsdir,%_miconsdir}
convert %{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert %{name}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert %{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png
cp %{name}.png %{buildroot}%{_datadir}/%{name}/%{name}.png

%post
%update_menus
                
%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README LICENSE ChangeLog
%{_bindir}/alertservice
%{_bindir}/%{name}
%{_bindir}/alert_sound
%{_bindir}/send_alert
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/usbtable
%{_datadir}/%{name}/hotplug.patch
%{_datadir}/%{name}/*.png
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%{_sysconfdir}/profile.d/dbus-session.sh

%changelog
* Fri Apr  8 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.18-1mdk
- fix build for x86_64, rename service, rpmlint

* Mon Nov 22 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.17-2mdk
- get rid of post script to remove sec_update.sh 
- (was only in cooker, bug #12430)

* Tue Aug 24 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.17-1mdk
- fix error saving config, allow use of sound, add send_alert wrapper

* Wed Aug 18 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.16-1mdk
- enhanced icon (Joe Bolin, Adam Williamson)

* Tue Aug 17 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.15-1mdk
- rebuild against new libdbus, webfetch no longer needed
- allow hiding icon for users offended by it's ugliness

* Wed Aug  4 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.14-1mdk
- drop security update notification - already provide by mdkonline

* Fri Jul 30 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.13-1mdk
- fix security script to deal with failed connects
  use wget or curl instead of lynx (#10456)
- change the way we get dbus-session info in /etc/profile.d (#10445)
- remove cron jobs for security updates on package uninstall (#10469)
- fix issue with gui becoming unresponsive between alerts (#10448)

* Thu Jul 15 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.12-1mdk
- add security update script option

* Fri Jun 25 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.11-1mdk
- rework startup so program can be run from command line or menu
  (start dbus session within alert_applet, forget about xinit.d)

* Wed Jun 23 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.1-1mdk
- first release

